var maxhist=30;	         // Max history number
var done=0;              // Create graphic object flag
var go;                  // Graphic object
var hist=new Array(maxhist); // Histrory buffer array
var xmlhttp=false;       // XMLHttp Object
var seq=Math.floor(Math.random() * 10000); // Random seq number
var axis="X";            // Set axis is X
try
 {xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");} // MS special?
catch(e)
 {xmlhttp = false;}      // Fail to create MS special object
if(!xmlhttp && typeof XMLHttpRequest!='undefined') // Not IE
 xmlhttp = new XMLHttpRequest();  // Create usual XMLHttpRequest object

xmlhttp.open("GET","/USERINIT.htm",false);   // SYNC HTTP request to init sensor
xmlhttp.send(null);      // Wait until USERINIT.htm successfully read
disp();                  // Start periodical display

//
// Display graph sub
//
function graph(v)         // Disp line graph function
{
var a,b,i;
 go.Color("#e0e0e0");     // Set BG color
 go.Box(0,0,220,30);      // Clear TEXT area
 go.Color("#0000ff");     // Set blue
 go.Font("","24px","");   // Set font size
 go.Print(axis+" Accel=",10,0); // Put TEXT
 go.Print(v,110,0);       // Put current value
 go.Color("#000000");     // Set black
 go.Box(0,30,maxhist*7,180); // Draw black box
 go.Color("#ffff00");     // Set yellow
 for(i=0;i<maxhist-1;i++) // Draw histry graph
 {
  a=hist[i];b=hist[i+1];  // Get history value
  a=Math.floor(a/12-60);b=Math.floor(b/12-60); // Get graph position
  go.Line(i*7,a,i*7+6,b,3);  // Draw history graph
 }
 a=Math.floor(v/12-60);    // Get current position
 if(a<0)a=0;if(a>220)a=220;// Limit check
 go.Line(i*7,b,i*7+5,a,3); // Draw final graph line
 go.Paint();               // Draw graphics finally
 for(i=0;i<maxhist-1;i++)  // Shift history data
  hist[i]=hist[i+1];       // Shift
 hist[maxhist-1]=v;        // Set current value
}
//
// Parse XML data
//
function parsexml(x,tag)   // Parse XML function
{
 var s, e;	           // Start & end index
 var ts="<"+tag+">";       // Make head tag string
 var te="</"+tag+">";      // Make tail tag string
 s = x.indexOf(ts);        // Search head tag position
 e = x.indexOf(te);        // Search tail tag position
 if(s<0||e<0||s>e)         // Tag not found or reverse order?
  return("");              // Return with null data
 s=s+ts.length;            // Skip head tag string
 return(x.substring(s,e)); // Return with result string 
}
//
// Periodical display
//
function disp()            // Display function
{
var t;                     // GET filename work
 seq++;                    // Advance seq number
 t = "/XMLDATA.htm"+"?seq=" + seq;  // Create HTTP request filename
 xmlhttp.open("GET",t,true);   // Setup ASYNC HTTP GET request
 xmlhttp.onreadystatechange = function() // Declar event driven function
 {
  if(xmlhttp.readyState == 4)  // HTTP request complete?
  {
   if(xmlhttp.status == 200)   // HTTP request success?
   {
    if(!done)               // Graphic object already created?
    {
     done=1;                // Set done flag
     go=new GU("box0");     // Create new graphic object
    }
    graph(parseInt(parsexml(xmlhttp.responseText,axis))); // Draw line graph
   }
  }
 }    // End of event driven function declaration
 xmlhttp.send(null);        // Send HTTP request
 setTimeout("disp();",500); // Repeat Display after 500mS
}
//
// Click handler function
//
function click()
{
 if(axis=="Y") axis="Z";     // Y then Z
 else if(axis=="X") axis="Y";// X then Y
 else axis="X";              // Z then X
}
